Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network52.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
52.0.0.0
Broadcast address
55.255.255.255
First usable
52.0.0.1
Last usable
55.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 34000000 · Integer 872415232 to 939524095
Reverse DNS zones
52.in-addr.arpa
53.in-addr.arpa
54.in-addr.arpa
55.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110100.00000000.00000000.0000000052.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00110100.00000000.00000000.0000000052.0.0.0
Broadcast00110111.11111111.11111111.1111111155.255.255.255
Split into smaller subnets/13

52.0.0.0/6 makes 128 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
152.0.0.0/1352.0.0.1 to 52.7.255.25452.7.255.255524,286
252.8.0.0/1352.8.0.1 to 52.15.255.25452.15.255.255524,286
352.16.0.0/1352.16.0.1 to 52.23.255.25452.23.255.255524,286
452.24.0.0/1352.24.0.1 to 52.31.255.25452.31.255.255524,286
552.32.0.0/1352.32.0.1 to 52.39.255.25452.39.255.255524,286
652.40.0.0/1352.40.0.1 to 52.47.255.25452.47.255.255524,286
752.48.0.0/1352.48.0.1 to 52.55.255.25452.55.255.255524,286
852.56.0.0/1352.56.0.1 to 52.63.255.25452.63.255.255524,286
952.64.0.0/1352.64.0.1 to 52.71.255.25452.71.255.255524,286
1052.72.0.0/1352.72.0.1 to 52.79.255.25452.79.255.255524,286
1152.80.0.0/1352.80.0.1 to 52.87.255.25452.87.255.255524,286
1252.88.0.0/1352.88.0.1 to 52.95.255.25452.95.255.255524,286
1352.96.0.0/1352.96.0.1 to 52.103.255.25452.103.255.255524,286
1452.104.0.0/1352.104.0.1 to 52.111.255.25452.111.255.255524,286
1552.112.0.0/1352.112.0.1 to 52.119.255.25452.119.255.255524,286
1652.120.0.0/1352.120.0.1 to 52.127.255.25452.127.255.255524,286
1752.128.0.0/1352.128.0.1 to 52.135.255.25452.135.255.255524,286
1852.136.0.0/1352.136.0.1 to 52.143.255.25452.143.255.255524,286
1952.144.0.0/1352.144.0.1 to 52.151.255.25452.151.255.255524,286
2052.152.0.0/1352.152.0.1 to 52.159.255.25452.159.255.255524,286
2152.160.0.0/1352.160.0.1 to 52.167.255.25452.167.255.255524,286
2252.168.0.0/1352.168.0.1 to 52.175.255.25452.175.255.255524,286
2352.176.0.0/1352.176.0.1 to 52.183.255.25452.183.255.255524,286
2452.184.0.0/1352.184.0.1 to 52.191.255.25452.191.255.255524,286
2552.192.0.0/1352.192.0.1 to 52.199.255.25452.199.255.255524,286
2652.200.0.0/1352.200.0.1 to 52.207.255.25452.207.255.255524,286
2752.208.0.0/1352.208.0.1 to 52.215.255.25452.215.255.255524,286
2852.216.0.0/1352.216.0.1 to 52.223.255.25452.223.255.255524,286
2952.224.0.0/1352.224.0.1 to 52.231.255.25452.231.255.255524,286
3052.232.0.0/1352.232.0.1 to 52.239.255.25452.239.255.255524,286
3152.240.0.0/1352.240.0.1 to 52.247.255.25452.247.255.255524,286
3252.248.0.0/1352.248.0.1 to 52.255.255.25452.255.255.255524,286
3353.0.0.0/1353.0.0.1 to 53.7.255.25453.7.255.255524,286
3453.8.0.0/1353.8.0.1 to 53.15.255.25453.15.255.255524,286
3553.16.0.0/1353.16.0.1 to 53.23.255.25453.23.255.255524,286
3653.24.0.0/1353.24.0.1 to 53.31.255.25453.31.255.255524,286
3753.32.0.0/1353.32.0.1 to 53.39.255.25453.39.255.255524,286
3853.40.0.0/1353.40.0.1 to 53.47.255.25453.47.255.255524,286
3953.48.0.0/1353.48.0.1 to 53.55.255.25453.55.255.255524,286
4053.56.0.0/1353.56.0.1 to 53.63.255.25453.63.255.255524,286
4153.64.0.0/1353.64.0.1 to 53.71.255.25453.71.255.255524,286
4253.72.0.0/1353.72.0.1 to 53.79.255.25453.79.255.255524,286
4353.80.0.0/1353.80.0.1 to 53.87.255.25453.87.255.255524,286
4453.88.0.0/1353.88.0.1 to 53.95.255.25453.95.255.255524,286
4553.96.0.0/1353.96.0.1 to 53.103.255.25453.103.255.255524,286
4653.104.0.0/1353.104.0.1 to 53.111.255.25453.111.255.255524,286
4753.112.0.0/1353.112.0.1 to 53.119.255.25453.119.255.255524,286
4853.120.0.0/1353.120.0.1 to 53.127.255.25453.127.255.255524,286
4953.128.0.0/1353.128.0.1 to 53.135.255.25453.135.255.255524,286
5053.136.0.0/1353.136.0.1 to 53.143.255.25453.143.255.255524,286
5153.144.0.0/1353.144.0.1 to 53.151.255.25453.151.255.255524,286
5253.152.0.0/1353.152.0.1 to 53.159.255.25453.159.255.255524,286
5353.160.0.0/1353.160.0.1 to 53.167.255.25453.167.255.255524,286
5453.168.0.0/1353.168.0.1 to 53.175.255.25453.175.255.255524,286
5553.176.0.0/1353.176.0.1 to 53.183.255.25453.183.255.255524,286
5653.184.0.0/1353.184.0.1 to 53.191.255.25453.191.255.255524,286
5753.192.0.0/1353.192.0.1 to 53.199.255.25453.199.255.255524,286
5853.200.0.0/1353.200.0.1 to 53.207.255.25453.207.255.255524,286
5953.208.0.0/1353.208.0.1 to 53.215.255.25453.215.255.255524,286
6053.216.0.0/1353.216.0.1 to 53.223.255.25453.223.255.255524,286
6153.224.0.0/1353.224.0.1 to 53.231.255.25453.231.255.255524,286
6253.232.0.0/1353.232.0.1 to 53.239.255.25453.239.255.255524,286
6353.240.0.0/1353.240.0.1 to 53.247.255.25453.247.255.255524,286
6453.248.0.0/1353.248.0.1 to 53.255.255.25453.255.255.255524,286
6554.0.0.0/1354.0.0.1 to 54.7.255.25454.7.255.255524,286
6654.8.0.0/1354.8.0.1 to 54.15.255.25454.15.255.255524,286
6754.16.0.0/1354.16.0.1 to 54.23.255.25454.23.255.255524,286
6854.24.0.0/1354.24.0.1 to 54.31.255.25454.31.255.255524,286
6954.32.0.0/1354.32.0.1 to 54.39.255.25454.39.255.255524,286
7054.40.0.0/1354.40.0.1 to 54.47.255.25454.47.255.255524,286
7154.48.0.0/1354.48.0.1 to 54.55.255.25454.55.255.255524,286
7254.56.0.0/1354.56.0.1 to 54.63.255.25454.63.255.255524,286
7354.64.0.0/1354.64.0.1 to 54.71.255.25454.71.255.255524,286
7454.72.0.0/1354.72.0.1 to 54.79.255.25454.79.255.255524,286
7554.80.0.0/1354.80.0.1 to 54.87.255.25454.87.255.255524,286
7654.88.0.0/1354.88.0.1 to 54.95.255.25454.95.255.255524,286
7754.96.0.0/1354.96.0.1 to 54.103.255.25454.103.255.255524,286
7854.104.0.0/1354.104.0.1 to 54.111.255.25454.111.255.255524,286
7954.112.0.0/1354.112.0.1 to 54.119.255.25454.119.255.255524,286
8054.120.0.0/1354.120.0.1 to 54.127.255.25454.127.255.255524,286
8154.128.0.0/1354.128.0.1 to 54.135.255.25454.135.255.255524,286
8254.136.0.0/1354.136.0.1 to 54.143.255.25454.143.255.255524,286
8354.144.0.0/1354.144.0.1 to 54.151.255.25454.151.255.255524,286
8454.152.0.0/1354.152.0.1 to 54.159.255.25454.159.255.255524,286
8554.160.0.0/1354.160.0.1 to 54.167.255.25454.167.255.255524,286
8654.168.0.0/1354.168.0.1 to 54.175.255.25454.175.255.255524,286
8754.176.0.0/1354.176.0.1 to 54.183.255.25454.183.255.255524,286
8854.184.0.0/1354.184.0.1 to 54.191.255.25454.191.255.255524,286
8954.192.0.0/1354.192.0.1 to 54.199.255.25454.199.255.255524,286
9054.200.0.0/1354.200.0.1 to 54.207.255.25454.207.255.255524,286
9154.208.0.0/1354.208.0.1 to 54.215.255.25454.215.255.255524,286
9254.216.0.0/1354.216.0.1 to 54.223.255.25454.223.255.255524,286
9354.224.0.0/1354.224.0.1 to 54.231.255.25454.231.255.255524,286
9454.232.0.0/1354.232.0.1 to 54.239.255.25454.239.255.255524,286
9554.240.0.0/1354.240.0.1 to 54.247.255.25454.247.255.255524,286
9654.248.0.0/1354.248.0.1 to 54.255.255.25454.255.255.255524,286
9755.0.0.0/1355.0.0.1 to 55.7.255.25455.7.255.255524,286
9855.8.0.0/1355.8.0.1 to 55.15.255.25455.15.255.255524,286
9955.16.0.0/1355.16.0.1 to 55.23.255.25455.23.255.255524,286
10055.24.0.0/1355.24.0.1 to 55.31.255.25455.31.255.255524,286
10155.32.0.0/1355.32.0.1 to 55.39.255.25455.39.255.255524,286
10255.40.0.0/1355.40.0.1 to 55.47.255.25455.47.255.255524,286
10355.48.0.0/1355.48.0.1 to 55.55.255.25455.55.255.255524,286
10455.56.0.0/1355.56.0.1 to 55.63.255.25455.63.255.255524,286
10555.64.0.0/1355.64.0.1 to 55.71.255.25455.71.255.255524,286
10655.72.0.0/1355.72.0.1 to 55.79.255.25455.79.255.255524,286
10755.80.0.0/1355.80.0.1 to 55.87.255.25455.87.255.255524,286
10855.88.0.0/1355.88.0.1 to 55.95.255.25455.95.255.255524,286
10955.96.0.0/1355.96.0.1 to 55.103.255.25455.103.255.255524,286
11055.104.0.0/1355.104.0.1 to 55.111.255.25455.111.255.255524,286
11155.112.0.0/1355.112.0.1 to 55.119.255.25455.119.255.255524,286
11255.120.0.0/1355.120.0.1 to 55.127.255.25455.127.255.255524,286
11355.128.0.0/1355.128.0.1 to 55.135.255.25455.135.255.255524,286
11455.136.0.0/1355.136.0.1 to 55.143.255.25455.143.255.255524,286
11555.144.0.0/1355.144.0.1 to 55.151.255.25455.151.255.255524,286
11655.152.0.0/1355.152.0.1 to 55.159.255.25455.159.255.255524,286
11755.160.0.0/1355.160.0.1 to 55.167.255.25455.167.255.255524,286
11855.168.0.0/1355.168.0.1 to 55.175.255.25455.175.255.255524,286
11955.176.0.0/1355.176.0.1 to 55.183.255.25455.183.255.255524,286
12055.184.0.0/1355.184.0.1 to 55.191.255.25455.191.255.255524,286
12155.192.0.0/1355.192.0.1 to 55.199.255.25455.199.255.255524,286
12255.200.0.0/1355.200.0.1 to 55.207.255.25455.207.255.255524,286
12355.208.0.0/1355.208.0.1 to 55.215.255.25455.215.255.255524,286
12455.216.0.0/1355.216.0.1 to 55.223.255.25455.223.255.255524,286
12555.224.0.0/1355.224.0.1 to 55.231.255.25455.231.255.255524,286
12655.232.0.0/1355.232.0.1 to 55.239.255.25455.239.255.255524,286
12755.240.0.0/1355.240.0.1 to 55.247.255.25455.247.255.255524,286
12855.248.0.0/1355.248.0.1 to 55.255.255.25455.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses